[package]
name = "psxfileconv"
version = "1.0.0"
edition = "2021"

[profile.release]
panic = "abort"

[features]
default = ["symphonia-all"]

symphonia-all    = ["symphonia", "symphonia/all"]
symphonia-isomp4 = ["symphonia", "symphonia/isomp4"]
symphonia-mkv    = ["symphonia", "symphonia/mkv"]
symphonia-ogg    = ["symphonia", "symphonia/ogg"]
symphonia-wav    = ["symphonia", "symphonia/wav"]
symphonia-aac    = ["symphonia", "symphonia/aac"]
symphonia-adpcm  = ["symphonia", "symphonia/adpcm"]
symphonia-alac   = ["symphonia", "symphonia/alac"]
symphonia-flac   = ["symphonia", "symphonia/flac"]
symphonia-mpa    = ["symphonia", "symphonia/mpa"]
symphonia-mp1    = ["symphonia", "symphonia/mp1"]
symphonia-mp2    = ["symphonia", "symphonia/mp2"]
symphonia-mp3    = ["symphonia", "symphonia/mp3"]
symphonia-pcm    = ["symphonia", "symphonia/pcm"]
symphonia-vorbis = ["symphonia", "symphonia/vorbis"]

[dependencies]
bitflags    = "2.6.0"
cdtypes     = {path = "../cdtypes"}
clap        = {version = "4.5.23", features = ["derive"]}
image       = "0.24.9"
hound       = "3.5.1"
paste       = "1.0.15"
png         = "0.17.16"
rubato      = "0.16.1"
symphonia   = {version = "0.5.4", optional = true, default-features = false}
tool_helper = {path = "../tool_helper"}
